/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define module level routines to handle	*/
/*	ip number list and retreiving.		*/
/*						*/
/************************************************/
#ifndef UNINET
#define UNINET

/*defining IPV4 32 bit mask			*/
#define	MASK32BIT    32

typedef	struct {	/*IP/MASK def		*/
	u_int32_t ip;	/*HOST/NET IP address	*/
	int mask;	/*IP Network MASK	*/
	}IPSTYP;

extern int net_getmask(char *strmask);
extern IPSTYP **net_addiplst(IPSTYP **ipslst,u_int32_t ip,int mask);
extern IPSTYP **net_freeiplst(IPSTYP **ipslst);
extern int net_isiniplst(IPSTYP **ipslst,char *iporgn);
#endif
