/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define all routine to manage directories*/
/*	and find file within.			*/
/*						*/
/************************************************/
#ifndef UNIDIR
#define UNIDIR
#include	<ctype.h>

typedef struct	{
	int updated;	/*new file detected in	*/
	char *dirname;	/*directory name	*/
	char *suffixe;	/*file suffixe name	*/
	time_t lastscan;/*dir last scan time	*/
	u_int num;	/*number of entries	*/
	char **flst;	/*file content list	*/
	}DIRTYP;
extern int dir_locked(DIRTYP *dir);
extern DIRTYP *dir_mkdirlst(char *dirname,char *suffixe);
extern DIRTYP *dir_chkdirlst(DIRTYP *dir);
extern DIRTYP *dir_freedirlst(DIRTYP *dir);
#endif
